LOCALECTL(1)

NAME
localectl - Control the system locale and keyboard layout settings

SYNOPSIS

localectl [OPTIONS...] {COMMAND}

DESCRIPTION

localectl may be used to query and change the system locale and keyboard layout settings.

The system locale controls the language settings of system services and of the UI before the user logs in, such as the display manager, as well as the default for users after login.

The keyboard settings control the keyboard layout used on the text console and of the graphical UI before the user logs in, such as the display manager, as well as the default for users after login.

OPTIONS

The following options are understood:

-h, --help
    Prints a short help text and exits.

--version
    Prints a short version string and exits.

--no-pager
    Do not pipe output into a pager.

--no-ask-password
    Do not query the user for authentication for privileged operations.

-P, --privileged
    Acquire privileges via PolicyKit before executing the operation.

-H, --host
    Execute the operation remotely. Specify a hostname, or username and hostname separated by "@", to connect to. This will use SSH to talk to a remote system.

--no-convert
    If set-keymap or set-x11-keymap is invoked and this option is passed, then the keymap will not be converted from the console to X11, or X11 to console, respectively.

The following commands are understood:

status
    Show current settings of the system locale and keyboard mapping.

set-locale LOCALE...
    Set the system locale. This takes one or more assignments such as "LANG=de_DE.utf8", "LC_MESSAGES=en_GB.utf8", and so on. See locale(7) for details on the available settings and their meanings. Use list-locales for a list of available locales (see below).

list-locales
    List available locales useful for configuration with set-locale.

set-keymap MAP [TOGGLEMAP]
    Set the system keyboard mapping for the console. This takes a keyboard mapping name (such as "de" or "us"), and possibly a second one to define a toggle keyboard mapping. Unless --no-convert is passed, the selected setting is also applied to the default keyboard mapping of X11, after converting it to the closest matching X11 keyboard mapping. Use list-keymaps for a list of available keyboard mappings (see below).

list-keymaps
    List available keyboard mappings for the console, useful for configuration with set-keymap.

set-x11-keymap LAYOUT [MODEL] [VARIANT] [OPTIONS]
    Set the system default keyboard mapping for X11. This takes a keyboard mapping name (such as "de" or "us"), and possibly a model, variant and options, see kbd(4) for details. Unless --no-convert is passed, the selected setting is also applied to the system console keyboard mapping, after converting it to the closest matching console keyboard mapping.

list-x11-keymap-models, list-x11-keymap-layouts, list-x11-keymap-variants [LAYOUT], list-x11-keymap-options
    List available X11 keymap models, layouts, variants and options, useful for configuration with set-keymap. The command list-x11-keymap-variants optionally takes a layout parameter to limit the output to the variants suitable for the specific layout.

EXIT STATUS

On success, 0 is returned, a non-zero failure code otherwise.

ENVIRONMENT

$SYSTEMD_PAGER
    Pager to use when --no-pager is not given; overrides $PAGER. Setting this to an empty string or the value "cat" is equivalent to passing --no-pager.

SEE ALSO

systemd(1), locale(7), locale.conf(5), vconsole.conf(5), loadkeys(1), kbd(4), The XKB Configuration Guide[1], systemctl(1), systemd-localed.service(8)

NOTES

1.  The XKB Configuration Guide
    http://www.x.org/releases/current/doc/xorg-docs/input/XKB-Config.html